<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: search_bio_include.php
| Author: Dennis Vorpahl (Comy) www.php-fusion-shop.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

require_once INFUSIONS.'biografie_panel/infusion_db.php';

if ($_GET['stype'] == "bio" || $_GET['stype'] == "all") {
	$sortby = "bio_id";
	$ssubject = search_querylike("name");
	$smessage = search_querylike("bio");
	if ($_GET['fields'] == 0) {
		$fieldsvar = search_fieldsvar($ssubject);
	} else if ($_GET['fields'] == 1) {
		$fieldsvar = search_fieldsvar($smessage);
	} else if ($_GET['fields'] == 2) {
		$fieldsvar = search_fieldsvar($ssubject, $smessage);
	} else {
		$fieldsvar = "";
	}
	if ($fieldsvar) {
		$result = dbquery(
			"SELECT * FROM ".DB_BIO."
			WHERE ".$fieldsvar
		);
		$rows = dbrows($result);
	} else {
		$rows = 0;
	}
	if ($rows != 0) {
		$items_count .= THEME_BULLET."&nbsp;<a href='".FUSION_SELF."?stype=bio&amp;stext=".$_GET['stext']."&amp;".$composevars."'>".$rows." ".($rows == 1 ? 'Biografie' : 'Biografien')." ".$locale['522']."</a><br />\n";
		while ($data = dbarray($result)) {
			$search_result = "";
			$text_all = $data['bio'];
			$text_all = search_striphtmlbbcodes($text_all);
			$text_frag = search_textfrag($text_all);
			$text_frag = highlight_words($swords, $text_frag);
			$subj_c = search_stringscount($data['name']);
			$text_c = search_stringscount($data['bio']);

			$search_result .= "<a href='".INFUSIONS."biografie_panel/biografie.php?id=".$data['bio_id']."&action=2'>".highlight_words($swords, $data['name'])."</a>"."<br /><br />\n";
			$search_result .= "<div class='quote' style='width:auto;height:auto;overflow:auto'>".$text_frag."</div><br />";
			$search_result .= "<span class='small'>".$subj_c." ".($subj_c == 1 ? $locale['520'] : $locale['521'])." gefunden im Namen der Biografie, ";
			$search_result .= $text_c." ".($text_c == 1 ? $locale['520'] : $locale['521'])." gefunden in der Biografie</span><br /><br />\n";
			search_globalarray($search_result);
		}
	} else {
		$items_count .= THEME_BULLET."&nbsp;0 Biografie ".$locale['522']."<br />\n";
	}
	$navigation_result = search_navigation($rows);
}
?>