<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright © 2002 - 2008 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: admin_submit.php
| Author: Dennis Vorpahl (Comy) www.php-fusion-shop.de
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
require_once "../../maincore.php";
require_once THEMES."templates/admin_header_mce.php";

if (!checkrights("fsbi") || !defined("iAUTH") || $_GET['aid'] != iAUTH) { redirect("../../index.php"); }

include INFUSIONS."biografie_panel/infusion_db.php";
require_once INFUSIONS."biografie_panel/main.php";

function showform(){
	
	global $aidlink;
    
	require_once INCLUDES."html_buttons_include.php";
	
		?>
        <form action="<?php echo FUSION_SELF.$aidlink ?>&action=save" name="bioform" method="post">
        <table cellpadding="0" cellspacing="0" border="0" align="center">
        <tr>
        <td>Name des Stars: </td>
        <td><input type="text" name="name" class="textbox" size="50" /></td>
        </tr>
        <tr>
        <td>Kategorie: </td>
        <td><input type="text" name="cat_list" class="textbox" size="5" /></td>
        </tr>
        <tr>
        <td>Star-Foto <span class="small">(Link aus der Gallerie)</span>: </td>
        <td><input type="text" name="image" class="textbox" size="50" /></td>
        </tr>
        <tr>
        <td>Geburtsdatum <span class="small">(Tag, Monat, Jahr)</span>: </td>
        <td><input type="text" name="birthday_d" class="textbox" size="3" /> <input type="text" name="birthday_m" class="textbox" size="3" /> <input type="text" name="birthday_y" class="textbox" size="5" /></td>
        </tr>
        <tr>
        <td>Geburtsort: </td>
        <td><input type="text" name="location" class="textbox" size="50" /></td>
        </tr>
        <tr>
        <td>Link zur Fotogallery: </td>
        <td><input type="text" name="gallery" class="textbox" size="50" /></td>
        </tr>
        <tr>
        <td>Homepage: </td>
        <td><input type="text" name="web" class="textbox" size="50" /></td>
        </tr>
        <tr>
        <td valign="top">Biografie: </td>
        <td><textarea cols="70" rows="20" name="bio" class="textbox"></textarea></td>
        </tr>
        <?php echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>";
		echo display_html("bioform", "bio", true, true, true);
		echo "</td>\n</tr>"; ?>
        <tr>
        <td valign="top">Alben: </td>
        <td><textarea cols="70" rows="10" name="albums" class="textbox"></textarea></td>
        </tr>
        <?php echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>";
		echo display_html("bioform", "albums", true, true, true);
		echo "</td>\n</tr>"; ?>
        <tr>
        <td valign="top">Gr&ouml;&szlig;ten Erfolge: </td>
        <td><textarea cols="70" rows="10" name="erfolge" class="textbox"></textarea></td>
        </tr>
        <?php echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>";
		echo display_html("bioform", "erfolge", true, true, true);
		echo "</td>\n</tr>"; ?>
        <tr>
        <td colspan="2"><center><input type="submit" name="submit" class="button" value="Speichern" /></center></td>
        </tr>
        </table>
        </form>
        
        <?php
}

function Bearbeiten($id){
	
	global $global, $aidlink, $locale;
	
	require_once INCLUDES."html_buttons_include.php";

    echo '<form action="'.FUSION_SELF.$aidlink.'&action=update&id='.$id.'" method="post" name="bioform">';
    echo '<table cellpadding="0" cellspacing="0" border="0" align="center">';
	$result=dbquery("SELECT * FROM ".DB_BIO." WHERE bio_id='$id'");
	$data=dbarray($result);
		?>
        <table cellpadding="0" cellspacing="0" border="0" align="center">
        <tr>
        <td>Name des Stars: </td>
        <td><input type="text" name="name" class="textbox" size="50" value="<?php echo stripslashes($data['name']) ?>" /></td>
        </tr>
        <tr>
        <td>Kategorie: </td>
        <td><input type="text" name="cat_list" class="textbox" size="5" value="<?php echo $data['cat_list'] ?>" /></td>
        </tr>
        <tr>
        <td>Star-Foto <span class="small">(Link aus der Gallerie)</span>: </td>
        <td><input type="text" name="image" class="textbox" size="50" value="<?php echo stripslashes($data['image']) ?>" /></td>
        </tr>
        <tr>
        <td>Geburtsdatum <span class="small">(Tag, Monat, Jahr)</span>: </td>
        <td><input type="text" name="birthday_d" class="textbox" size="3" value="<?php echo $data['birthday_d'] ?>" /> <input type="text" name="birthday_m" class="textbox" size="3" value="<?php echo $data['birthday_m'] ?>" /> <input type="text" name="birthday_y" class="textbox" size="5" value="<?php echo $data['birthday_y'] ?>" /></td>
        </tr>
        <tr>
        <td>Geburtsort: </td>
        <td><input type="text" name="location" class="textbox" size="50" value="<?php echo stripslashes($data['location']) ?>" /></td>
        </tr>
        <tr>
        <td>Link zur Fotogallery: </td>
        <td><input type="text" name="gallery" class="textbox" size="50" value="<?php echo stripslashes($data['gallery']) ?>" /></td>
        </tr>
        <tr>
        <td>Homepage: </td>
        <td><input type="text" name="web" class="textbox" size="50" value="<?php echo stripslashes($data['web']) ?>" /></td>
        </tr>
        <tr>
        <td valign="top">Biografie: </td>
        <td><textarea cols="70" rows="20" name="bio" class="textbox"><?php echo nl2br(stripslashes($data['bio'])) ?></textarea></td>
        </tr>
        <?php echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>";
		echo display_html("bioform", "bio", true, true, true);
		echo "</td>\n</tr>"; ?>
        <tr>
        <td valign="top">Alben: </td>
        <td><textarea cols="70" rows="10" name="albums" class="textbox"><?php echo nl2br(stripslashes($data['albums'])) ?></textarea></td>
        </tr>
        <?php echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>";
		echo display_html("bioform", "albums", true, true, true);
		echo "</td>\n</tr>"; ?>
        <tr>
        <td valign="top">Gr&ouml;&szlig;ten Erfolge: </td>
        <td><textarea cols="70" rows="10" name="erfolge" class="textbox"><?php echo nl2br(stripslashes($data['erfolge'])) ?></textarea></td>
        </tr>
        <?php echo "<tr>\n<td class='tbl'></td>\n<td class='tbl'>";
		echo display_html("bioform", "erfolge", true, true, true);
		echo "</td>\n</tr>"; ?>
        <tr>
        <td colspan="2"><center><input type="submit" name="submit" class="button" value="&Auml;ndern" /> | <a href="<?php echo FUSION_SELF.$aidlink ?>&action=delete&id=<?php echo $id ?>">l&ouml;schen</a></center></td>
        </tr>
        </table>
        </form>
        
        <?php
}

function Delete($id){
	
	global $aidlink;
	
			dbquery("DELETE FROM ".DB_BIO." WHERE bio_id='".$id."'");
			require_once INCLUDES."sendmail_include.php";
			
			redirect(FUSION_SELF.$aidlink);
}

function Save(){
	
	global $aidlink;
	
	dbquery("INSERT INTO ".DB_BIO." (cat_list, image, name, bio, gallery, birthday_d, birthday_m, birthday_y, location, count, web, albums, erfolge) VALUES ('".$_POST['cat_list']."', '".addslashes($_POST['image'])."', '".addslashes($_POST['name'])."', '".addslashes($_POST['bio'])."', '".addslashes($_POST['gallery'])."', '".$_POST['birthday_d']."', '".$_POST['birthday_m']."', '".$_POST['birthday_y']."', '".addslashes($_POST['location'])."', '0', '".addslashes($_POST['web'])."', '".addslashes($_POST['albums'])."', '".addslashes($_POST['erfolge'])."')");
	
	redirect(FUSION_SELF.$aidlink);
	
}

function Update($id){
	
	global $aidlink;
	
	dbquery("UPDATE ".DB_BIO." SET cat_list='".$_POST['cat_list']."', image='".addslashes($_POST['image'])."', name='".addslashes($_POST['name'])."', bio='".addslashes($_POST['bio'])."', gallery='".addslashes($_POST['gallery'])."', birthday_d='".$_POST['birthday_d']."', birthday_m='".$_POST['birthday_m']."', birthday_y='".$_POST['birthday_y']."', location='".addslashes($_POST['location'])."', web='".addslashes($_POST['web'])."', albums='".addslashes($_POST['albums'])."', erfolge='".addslashes($_POST['erfolge'])."'   WHERE bio_id='".$id."'");
	
	redirect(FUSION_SELF.$aidlink);
	
}

if(!isset($_GET['action'])){ $_GET['action']='';}
switch($_GET['action']) {

    case "bearbeiten":
	opentable('Biografie bearbeiten');
	Bearbeiten($_GET['id']);
	closetable();
	break;
	
	case "delete":
	opentable('Biografie l&ouml;schen');
	Delete($_GET['id']);
	closetable();
	break;
	
	case "save":
	opentable('');
	Save();
	closetable();
	break;
	
	case "update":
	opentable('');
	Update($_GET['id']);
	closetable();
	break;
	
	default:
	opentable('Biografie erstellen');
    showform();
	closetable();
	break;
}
require_once THEMES.'templates/footer.php';
?>